package com.sw.mes.yb.seed.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.seed.dao.SeedPlanOrderDao;
import com.sw.mes.yb.seed.entity.SeedPlanOrder;
import com.sw.mes.yb.seed.service.SeedPlanOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SeedPlanOrderServiceImpl extends BaseServiceImpl<SeedPlanOrder> implements SeedPlanOrderService {
    SeedPlanOrderDao dao;
    @Autowired
    public void setDao(SeedPlanOrderDao dao) {
        this.dao = dao;
        super.setBaseDao(dao);
    }

    @Override
    public SeedPlanOrder findByCode(String planCode) {
        return dao.findByCode(planCode);
    }

    @Override
    public List<SeedPlanOrder> findNormalOrder() {
        return dao.findNormalOrder();
    }
}
